# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.projecthosting
Class ProjectsQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.projecthosting.ProjectsQuery

    public class ProjectsQuery

extends Query

Describes a query for the project listing feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`ProjectsQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`java.lang.String` `getLabel()` Returns the label.
`java.lang.String` `getOrderby()` Returns the ordering of results.
`void` `setLabel(java.lang.String label)` Sets the label.
`void` `setOrderby(java.lang.String orderby)` Sets the ordering of results.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectsQuery

    public ProjectsQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getLabel

    public java.lang.String getLabel()

  Returns the label.

  Returns:
    label or `null` to indicate that the parameter is not set.

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label.

  Parameters:
    `label` - label or `null` to remove this parameter if set.

### getOrderby

    public java.lang.String getOrderby()

  Returns the ordering of results.

  Returns:
    ordering of results or `null` to indicate that the parameter is not set.

### setOrderby

    public void setOrderby(java.lang.String orderby)

  Sets the ordering of results.

  Parameters:
    `orderby` - ordering of results or `null` to remove this parameter if set.